--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Sets the default auth for command path <em>cmd</em> to <em>val</em> on channel <em>chan</em>: usually <em>chan</em> is either &quot;*&quot; for everywhere, public and private (in which case it can be omitted) or &quot;?&quot; for private communications"
full_name: Irc::Bot::Plugins::BotModule#default_auth
is_singleton: false
name: default_auth
params: (cmd, val, chan="*")
visibility: public
